#ifndef _SAMPLES_H__
#define _SAMPLES_H__
#include "os/os_types.h"
#define MIN_GAS_VALUE 1000.0F
#define MAX_GAS_VALUE 5000.0F

void samples_init(void);
int get_vbus_int(void);
float get_vbus_float(void);
float get_throttle_sfix5(void);
float get_throttle_float(void);
void get_phase_vols(float *uvw);
void sample_uvw_phase(void);
void sample_vbus(void);
void sample_throttle(void);
void sample_motor_temp(void);
void sample_mos_temp(void);
s16 get_motor_temp(void);
s16 get_mos_temp(void);
#endif /* _SAMPLES_H__ */

